Back to top

API Documentation

< Back

Kuali Research REST APIs - System

Research System

Action Attributes

Get Action Attributes by Key
GET/research-sys/api/v1/action-attributes/(key)

Example URI

GET /research-sys/api/v1/action-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Get All Action Attributes
GET/research-sys/api/v1/action-attributes/

Example URI

GET /research-sys/api/v1/action-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Action Attributes with Filtering
GET/research-sys/api/v1/action-attributes/

Example URI

GET /research-sys/api/v1/action-attributes/
URI Parameters
HideShow
id
string (optional) 
value
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Action Attributes
GET/research-sys/api/v1/action-attributes/

Example URI

GET /research-sys/api/v1/action-attributes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "value"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Action Attributes
GET/research-sys/api/v1/action-attributes/

Example URI

GET /research-sys/api/v1/action-attributes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Action Attributes.md"
transfer-encoding: chunked

Update Action Attributes
PUT/research-sys/api/v1/action-attributes/(key)

Example URI

PUT /research-sys/api/v1/action-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Action Attributes
PUT/research-sys/api/v1/action-attributes/

Example URI

PUT /research-sys/api/v1/action-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Action Attributes
PATCH/research-sys/api/v1/action-attributes/(key)

Example URI

PATCH /research-sys/api/v1/action-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Action Attributes
POST/research-sys/api/v1/action-attributes/

Example URI

POST /research-sys/api/v1/action-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Action Attributes
POST/research-sys/api/v1/action-attributes/

Example URI

POST /research-sys/api/v1/action-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Action Attributes by Key
DELETE/research-sys/api/v1/action-attributes/(key)

Example URI

DELETE /research-sys/api/v1/action-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Action Attributes
DELETE/research-sys/api/v1/action-attributes/

Example URI

DELETE /research-sys/api/v1/action-attributes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Action Attributes with Matching
DELETE/research-sys/api/v1/action-attributes/

Example URI

DELETE /research-sys/api/v1/action-attributes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 
value
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Actions

Get Actions by Key
GET/research-sys/api/v1/actions/(key)

Example URI

GET /research-sys/api/v1/actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "namespace": "(val)",
  "name": "(val)",
  "description": "(val)",
  "typeId": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Get All Actions
GET/research-sys/api/v1/actions/

Example URI

GET /research-sys/api/v1/actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Actions with Filtering
GET/research-sys/api/v1/actions/

Example URI

GET /research-sys/api/v1/actions/
URI Parameters
HideShow
id
string (optional) 

Action Id.

namespace
string (optional) 

Action Namespace.

name
string (optional) 

Action Name.

description
string (optional) 

Action Description.

typeId
string (optional) 

Action Type Id.

sequenceNumber
string (optional) 

Sequence Number.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Actions
GET/research-sys/api/v1/actions/

Example URI

GET /research-sys/api/v1/actions/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "namespace",
    "name",
    "description",
    "typeId",
    "sequenceNumber"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Actions
GET/research-sys/api/v1/actions/

Example URI

GET /research-sys/api/v1/actions/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Actions.md"
transfer-encoding: chunked

Update Actions
PUT/research-sys/api/v1/actions/(key)

Example URI

PUT /research-sys/api/v1/actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "namespace": "(val)",
  "name": "(val)",
  "description": "(val)",
  "typeId": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Actions
PUT/research-sys/api/v1/actions/

Example URI

PUT /research-sys/api/v1/actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Actions
PATCH/research-sys/api/v1/actions/(key)

Example URI

PATCH /research-sys/api/v1/actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "namespace": "(val)",
  "name": "(val)",
  "description": "(val)",
  "typeId": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "namespace": "(val)",
  "name": "(val)",
  "description": "(val)",
  "typeId": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Actions
POST/research-sys/api/v1/actions/

Example URI

POST /research-sys/api/v1/actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "namespace": "(val)",
  "name": "(val)",
  "description": "(val)",
  "typeId": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "namespace": "(val)",
  "name": "(val)",
  "description": "(val)",
  "typeId": "(val)",
  "sequenceNumber": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Actions
POST/research-sys/api/v1/actions/

Example URI

POST /research-sys/api/v1/actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "namespace": "(val)",
    "name": "(val)",
    "description": "(val)",
    "typeId": "(val)",
    "sequenceNumber": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Actions by Key
DELETE/research-sys/api/v1/actions/(key)

Example URI

DELETE /research-sys/api/v1/actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Actions
DELETE/research-sys/api/v1/actions/

Example URI

DELETE /research-sys/api/v1/actions/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Actions with Matching
DELETE/research-sys/api/v1/actions/

Example URI

DELETE /research-sys/api/v1/actions/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Action Id.

namespace
string (optional) 

Action Namespace.

name
string (optional) 

Action Name.

description
string (optional) 

Action Description.

typeId
string (optional) 

Action Type Id.

sequenceNumber
string (optional) 

Sequence Number.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Agenda Attributes

Get Agenda Attributes by Key
GET/research-sys/api/v1/agenda-attributes/(key)

Example URI

GET /research-sys/api/v1/agenda-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Get All Agenda Attributes
GET/research-sys/api/v1/agenda-attributes/

Example URI

GET /research-sys/api/v1/agenda-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Agenda Attributes with Filtering
GET/research-sys/api/v1/agenda-attributes/

Example URI

GET /research-sys/api/v1/agenda-attributes/
URI Parameters
HideShow
id
string (optional) 
value
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Agenda Attributes
GET/research-sys/api/v1/agenda-attributes/

Example URI

GET /research-sys/api/v1/agenda-attributes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "value"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Agenda Attributes
GET/research-sys/api/v1/agenda-attributes/

Example URI

GET /research-sys/api/v1/agenda-attributes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agenda Attributes.md"
transfer-encoding: chunked

Update Agenda Attributes
PUT/research-sys/api/v1/agenda-attributes/(key)

Example URI

PUT /research-sys/api/v1/agenda-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Agenda Attributes
PUT/research-sys/api/v1/agenda-attributes/

Example URI

PUT /research-sys/api/v1/agenda-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Agenda Attributes
PATCH/research-sys/api/v1/agenda-attributes/(key)

Example URI

PATCH /research-sys/api/v1/agenda-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Agenda Attributes
POST/research-sys/api/v1/agenda-attributes/

Example URI

POST /research-sys/api/v1/agenda-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Agenda Attributes
POST/research-sys/api/v1/agenda-attributes/

Example URI

POST /research-sys/api/v1/agenda-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Agenda Attributes by Key
DELETE/research-sys/api/v1/agenda-attributes/(key)

Example URI

DELETE /research-sys/api/v1/agenda-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Agenda Attributes
DELETE/research-sys/api/v1/agenda-attributes/

Example URI

DELETE /research-sys/api/v1/agenda-attributes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Agenda Attributes with Matching
DELETE/research-sys/api/v1/agenda-attributes/

Example URI

DELETE /research-sys/api/v1/agenda-attributes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 
value
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Agenda Items

Get Agenda Items by Key
GET/research-sys/api/v1/agenda-items/(key)

Example URI

GET /research-sys/api/v1/agenda-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "agendaId": "(val)",
  "subAgendaId": "(val)",
  "whenTrueId": "(val)",
  "whenFalseId": "(val)",
  "alwaysId": "(val)",
  "_primaryKey": "(val)"
}

Get All Agenda Items
GET/research-sys/api/v1/agenda-items/

Example URI

GET /research-sys/api/v1/agenda-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Agenda Items with Filtering
GET/research-sys/api/v1/agenda-items/

Example URI

GET /research-sys/api/v1/agenda-items/
URI Parameters
HideShow
id
string (optional) 

Id.

agendaId
string (optional) 

Agenda Id.

subAgendaId
string (optional) 

Sub-Agenda Id.

whenTrueId
string (optional) 

whenTrue Id.

whenFalseId
string (optional) 

whenFalse Id.

alwaysId
string (optional) 

Always Id.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Agenda Items
GET/research-sys/api/v1/agenda-items/

Example URI

GET /research-sys/api/v1/agenda-items/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "agendaId",
    "subAgendaId",
    "whenTrueId",
    "whenFalseId",
    "alwaysId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Agenda Items
GET/research-sys/api/v1/agenda-items/

Example URI

GET /research-sys/api/v1/agenda-items/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agenda Items.md"
transfer-encoding: chunked

Update Agenda Items
PUT/research-sys/api/v1/agenda-items/(key)

Example URI

PUT /research-sys/api/v1/agenda-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "agendaId": "(val)",
  "subAgendaId": "(val)",
  "whenTrueId": "(val)",
  "whenFalseId": "(val)",
  "alwaysId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Agenda Items
PUT/research-sys/api/v1/agenda-items/

Example URI

PUT /research-sys/api/v1/agenda-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Agenda Items
PATCH/research-sys/api/v1/agenda-items/(key)

Example URI

PATCH /research-sys/api/v1/agenda-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "agendaId": "(val)",
  "subAgendaId": "(val)",
  "whenTrueId": "(val)",
  "whenFalseId": "(val)",
  "alwaysId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "agendaId": "(val)",
  "subAgendaId": "(val)",
  "whenTrueId": "(val)",
  "whenFalseId": "(val)",
  "alwaysId": "(val)",
  "_primaryKey": "(val)"
}

Insert Agenda Items
POST/research-sys/api/v1/agenda-items/

Example URI

POST /research-sys/api/v1/agenda-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "agendaId": "(val)",
  "subAgendaId": "(val)",
  "whenTrueId": "(val)",
  "whenFalseId": "(val)",
  "alwaysId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "agendaId": "(val)",
  "subAgendaId": "(val)",
  "whenTrueId": "(val)",
  "whenFalseId": "(val)",
  "alwaysId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Agenda Items
POST/research-sys/api/v1/agenda-items/

Example URI

POST /research-sys/api/v1/agenda-items/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "agendaId": "(val)",
    "subAgendaId": "(val)",
    "whenTrueId": "(val)",
    "whenFalseId": "(val)",
    "alwaysId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Agenda Items by Key
DELETE/research-sys/api/v1/agenda-items/(key)

Example URI

DELETE /research-sys/api/v1/agenda-items/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Agenda Items
DELETE/research-sys/api/v1/agenda-items/

Example URI

DELETE /research-sys/api/v1/agenda-items/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Agenda Items with Matching
DELETE/research-sys/api/v1/agenda-items/

Example URI

DELETE /research-sys/api/v1/agenda-items/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Id.

agendaId
string (optional) 

Agenda Id.

subAgendaId
string (optional) 

Sub-Agenda Id.

whenTrueId
string (optional) 

whenTrue Id.

whenFalseId
string (optional) 

whenFalse Id.

alwaysId
string (optional) 

Always Id.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Agendas

Get Agendas by Key
GET/research-sys/api/v1/agendas/(key)

Example URI

GET /research-sys/api/v1/agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "name": "(val)",
  "typeId": "(val)",
  "contextId": "(val)",
  "active": "(val)",
  "firstItemId": "(val)",
  "_primaryKey": "(val)"
}

Get All Agendas
GET/research-sys/api/v1/agendas/

Example URI

GET /research-sys/api/v1/agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Agendas with Filtering
GET/research-sys/api/v1/agendas/

Example URI

GET /research-sys/api/v1/agendas/
URI Parameters
HideShow
id
string (optional) 

Agenda Id.

name
string (optional) 

Agenda Name.

typeId
string (optional) 

Agenda typeId.

contextId
string (optional) 

Agenda contextId.

active
string (optional) 

This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.

firstItemId
string (optional) 

First Item Id.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Agendas
GET/research-sys/api/v1/agendas/

Example URI

GET /research-sys/api/v1/agendas/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "name",
    "typeId",
    "contextId",
    "active",
    "firstItemId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Agendas
GET/research-sys/api/v1/agendas/

Example URI

GET /research-sys/api/v1/agendas/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Agendas.md"
transfer-encoding: chunked

Update Agendas
PUT/research-sys/api/v1/agendas/(key)

Example URI

PUT /research-sys/api/v1/agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "name": "(val)",
  "typeId": "(val)",
  "contextId": "(val)",
  "active": "(val)",
  "firstItemId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Agendas
PUT/research-sys/api/v1/agendas/

Example URI

PUT /research-sys/api/v1/agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Agendas
PATCH/research-sys/api/v1/agendas/(key)

Example URI

PATCH /research-sys/api/v1/agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "name": "(val)",
  "typeId": "(val)",
  "contextId": "(val)",
  "active": "(val)",
  "firstItemId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "name": "(val)",
  "typeId": "(val)",
  "contextId": "(val)",
  "active": "(val)",
  "firstItemId": "(val)",
  "_primaryKey": "(val)"
}

Insert Agendas
POST/research-sys/api/v1/agendas/

Example URI

POST /research-sys/api/v1/agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "name": "(val)",
  "typeId": "(val)",
  "contextId": "(val)",
  "active": "(val)",
  "firstItemId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "name": "(val)",
  "typeId": "(val)",
  "contextId": "(val)",
  "active": "(val)",
  "firstItemId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Agendas
POST/research-sys/api/v1/agendas/

Example URI

POST /research-sys/api/v1/agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "typeId": "(val)",
    "contextId": "(val)",
    "active": "(val)",
    "firstItemId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Agendas by Key
DELETE/research-sys/api/v1/agendas/(key)

Example URI

DELETE /research-sys/api/v1/agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Agendas
DELETE/research-sys/api/v1/agendas/

Example URI

DELETE /research-sys/api/v1/agendas/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Agendas with Matching
DELETE/research-sys/api/v1/agendas/

Example URI

DELETE /research-sys/api/v1/agendas/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

Agenda Id.

name
string (optional) 

Agenda Name.

typeId
string (optional) 

Agenda typeId.

contextId
string (optional) 

Agenda contextId.

active
string (optional) 

This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.

firstItemId
string (optional) 

First Item Id.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Attachments

Get Attachments by Key
GET/research-sys/api/v1/attachments/(key)

Example URI

GET /research-sys/api/v1/attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "noteIdentifier": "(val)",
  "attachmentMimeTypeCode": "(val)",
  "attachmentFileName": "(val)",
  "attachmentIdentifier": "(val)",
  "attachmentFileSize": "(val)",
  "attachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Get All Attachments
GET/research-sys/api/v1/attachments/

Example URI

GET /research-sys/api/v1/attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Attachments with Filtering
GET/research-sys/api/v1/attachments/

Example URI

GET /research-sys/api/v1/attachments/
URI Parameters
HideShow
noteIdentifier
string (optional) 

noteIdentifier description… Maximum length is 14.

attachmentMimeTypeCode
string (optional) 

attachmentMimeTypeCode description… Maximum length is 40.

attachmentFileName
string (optional) 

attachmentFileName description… Maximum length is 250.

attachmentIdentifier
string (optional) 

attachmentIdentifier description… Maximum length is 36.

attachmentFileSize
string (optional) 

attachmentFileSize description… Maximum length is 14.

attachmentTypeCode
string (optional) 

attachmentTypeCode description… Maximum length is 2.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Attachments
GET/research-sys/api/v1/attachments/

Example URI

GET /research-sys/api/v1/attachments/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "noteIdentifier",
    "attachmentMimeTypeCode",
    "attachmentFileName",
    "attachmentIdentifier",
    "attachmentFileSize",
    "attachmentTypeCode"
  ],
  "primaryKey": "noteIdentifier"
}

Get Blueprint API specification for Attachments
GET/research-sys/api/v1/attachments/

Example URI

GET /research-sys/api/v1/attachments/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Attachments.md"
transfer-encoding: chunked

Update Attachments
PUT/research-sys/api/v1/attachments/(key)

Example URI

PUT /research-sys/api/v1/attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "noteIdentifier": "(val)",
  "attachmentMimeTypeCode": "(val)",
  "attachmentFileName": "(val)",
  "attachmentIdentifier": "(val)",
  "attachmentFileSize": "(val)",
  "attachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Attachments
PUT/research-sys/api/v1/attachments/

Example URI

PUT /research-sys/api/v1/attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Attachments
PATCH/research-sys/api/v1/attachments/(key)

Example URI

PATCH /research-sys/api/v1/attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "noteIdentifier": "(val)",
  "attachmentMimeTypeCode": "(val)",
  "attachmentFileName": "(val)",
  "attachmentIdentifier": "(val)",
  "attachmentFileSize": "(val)",
  "attachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "noteIdentifier": "(val)",
  "attachmentMimeTypeCode": "(val)",
  "attachmentFileName": "(val)",
  "attachmentIdentifier": "(val)",
  "attachmentFileSize": "(val)",
  "attachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Attachments
POST/research-sys/api/v1/attachments/

Example URI

POST /research-sys/api/v1/attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "noteIdentifier": "(val)",
  "attachmentMimeTypeCode": "(val)",
  "attachmentFileName": "(val)",
  "attachmentIdentifier": "(val)",
  "attachmentFileSize": "(val)",
  "attachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "noteIdentifier": "(val)",
  "attachmentMimeTypeCode": "(val)",
  "attachmentFileName": "(val)",
  "attachmentIdentifier": "(val)",
  "attachmentFileSize": "(val)",
  "attachmentTypeCode": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Attachments
POST/research-sys/api/v1/attachments/

Example URI

POST /research-sys/api/v1/attachments/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "noteIdentifier": "(val)",
    "attachmentMimeTypeCode": "(val)",
    "attachmentFileName": "(val)",
    "attachmentIdentifier": "(val)",
    "attachmentFileSize": "(val)",
    "attachmentTypeCode": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Attachments by Key
DELETE/research-sys/api/v1/attachments/(key)

Example URI

DELETE /research-sys/api/v1/attachments/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Attachments
DELETE/research-sys/api/v1/attachments/

Example URI

DELETE /research-sys/api/v1/attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Attachments with Matching
DELETE/research-sys/api/v1/attachments/

Example URI

DELETE /research-sys/api/v1/attachments/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

noteIdentifier
string (optional) 

noteIdentifier description… Maximum length is 14.

attachmentMimeTypeCode
string (optional) 

attachmentMimeTypeCode description… Maximum length is 40.

attachmentFileName
string (optional) 

attachmentFileName description… Maximum length is 250.

attachmentIdentifier
string (optional) 

attachmentIdentifier description… Maximum length is 36.

attachmentFileSize
string (optional) 

attachmentFileSize description… Maximum length is 14.

attachmentTypeCode
string (optional) 

attachmentTypeCode description… Maximum length is 2.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Campus Types

Get Campus Types by Key
GET/research-sys/api/v1/campus-types/(key)

Example URI

GET /research-sys/api/v1/campus-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Campus Types
GET/research-sys/api/v1/campus-types/

Example URI

GET /research-sys/api/v1/campus-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Campus Types with Filtering
GET/research-sys/api/v1/campus-types/

Example URI

GET /research-sys/api/v1/campus-types/
URI Parameters
HideShow
code
string (optional) 

campusTypeCode description… Maximum length is 1.

name
string (optional) 

campusTypeName description… Maximum length is 40.

active
string (optional) 

Active.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Campus Types
GET/research-sys/api/v1/campus-types/

Example URI

GET /research-sys/api/v1/campus-types/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "code",
    "name",
    "active"
  ],
  "primaryKey": "code"
}

Get Blueprint API specification for Campus Types
GET/research-sys/api/v1/campus-types/

Example URI

GET /research-sys/api/v1/campus-types/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Campus Types.md"
transfer-encoding: chunked

Update Campus Types
PUT/research-sys/api/v1/campus-types/(key)

Example URI

PUT /research-sys/api/v1/campus-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Campus Types
PUT/research-sys/api/v1/campus-types/

Example URI

PUT /research-sys/api/v1/campus-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Campus Types
PATCH/research-sys/api/v1/campus-types/(key)

Example URI

PATCH /research-sys/api/v1/campus-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Campus Types
POST/research-sys/api/v1/campus-types/

Example URI

POST /research-sys/api/v1/campus-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Campus Types
POST/research-sys/api/v1/campus-types/

Example URI

POST /research-sys/api/v1/campus-types/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Campus Types by Key
DELETE/research-sys/api/v1/campus-types/(key)

Example URI

DELETE /research-sys/api/v1/campus-types/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Campus Types
DELETE/research-sys/api/v1/campus-types/

Example URI

DELETE /research-sys/api/v1/campus-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Campus Types with Matching
DELETE/research-sys/api/v1/campus-types/

Example URI

DELETE /research-sys/api/v1/campus-types/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

code
string (optional) 

campusTypeCode description… Maximum length is 1.

name
string (optional) 

campusTypeName description… Maximum length is 40.

active
string (optional) 

Active.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Campuses

Get Campuses by Key
GET/research-sys/api/v1/campuses/(key)

Example URI

GET /research-sys/api/v1/campuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "code": "(val)",
  "name": "(val)",
  "shortName": "(val)",
  "campusTypeCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Campuses
GET/research-sys/api/v1/campuses/

Example URI

GET /research-sys/api/v1/campuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Campuses with Filtering
GET/research-sys/api/v1/campuses/

Example URI

GET /research-sys/api/v1/campuses/
URI Parameters
HideShow
code
string (optional) 

The code uniquely identifying a particular campus. Maximum length is 2.

name
string (optional) 

Campus Name… Maximum length is 40.

shortName
string (optional) 

Short Name… Maximum length is 12.

campusTypeCode
string (optional) 

The code identifying type of campus. Maximum length is 2.

active
string (optional) 

This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Campuses
GET/research-sys/api/v1/campuses/

Example URI

GET /research-sys/api/v1/campuses/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "code",
    "name",
    "shortName",
    "campusTypeCode",
    "active"
  ],
  "primaryKey": "code"
}

Get Blueprint API specification for Campuses
GET/research-sys/api/v1/campuses/

Example URI

GET /research-sys/api/v1/campuses/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Campuses.md"
transfer-encoding: chunked

Update Campuses
PUT/research-sys/api/v1/campuses/(key)

Example URI

PUT /research-sys/api/v1/campuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "name": "(val)",
  "shortName": "(val)",
  "campusTypeCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Campuses
PUT/research-sys/api/v1/campuses/

Example URI

PUT /research-sys/api/v1/campuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Campuses
PATCH/research-sys/api/v1/campuses/(key)

Example URI

PATCH /research-sys/api/v1/campuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "name": "(val)",
  "shortName": "(val)",
  "campusTypeCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "code": "(val)",
  "name": "(val)",
  "shortName": "(val)",
  "campusTypeCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Campuses
POST/research-sys/api/v1/campuses/

Example URI

POST /research-sys/api/v1/campuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "code": "(val)",
  "name": "(val)",
  "shortName": "(val)",
  "campusTypeCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "code": "(val)",
  "name": "(val)",
  "shortName": "(val)",
  "campusTypeCode": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Campuses
POST/research-sys/api/v1/campuses/

Example URI

POST /research-sys/api/v1/campuses/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "code": "(val)",
    "name": "(val)",
    "shortName": "(val)",
    "campusTypeCode": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Campuses by Key
DELETE/research-sys/api/v1/campuses/(key)

Example URI

DELETE /research-sys/api/v1/campuses/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Campuses
DELETE/research-sys/api/v1/campuses/

Example URI

DELETE /research-sys/api/v1/campuses/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Campuses with Matching
DELETE/research-sys/api/v1/campuses/

Example URI

DELETE /research-sys/api/v1/campuses/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

code
string (optional) 

The code uniquely identifying a particular campus. Maximum length is 2.

name
string (optional) 

Campus Name… Maximum length is 40.

shortName
string (optional) 

Short Name… Maximum length is 12.

campusTypeCode
string (optional) 

The code identifying type of campus. Maximum length is 2.

active
string (optional) 

This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Categories

Get Categories by Key
GET/research-sys/api/v1/categories/(key)

Example URI

GET /research-sys/api/v1/categories/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "name": "(val)",
  "namespace": "(val)",
  "_primaryKey": "(val)"
}

Get All Categories
GET/research-sys/api/v1/categories/

Example URI

GET /research-sys/api/v1/categories/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Categories with Filtering
GET/research-sys/api/v1/categories/

Example URI

GET /research-sys/api/v1/categories/
URI Parameters
HideShow
id
string (optional) 

ID.

name
string (optional) 

Name.

namespace
string (optional) 

Namespace.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Categories
GET/research-sys/api/v1/categories/

Example URI

GET /research-sys/api/v1/categories/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "name",
    "namespace"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Categories
GET/research-sys/api/v1/categories/

Example URI

GET /research-sys/api/v1/categories/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Categories.md"
transfer-encoding: chunked

Update Categories
PUT/research-sys/api/v1/categories/(key)

Example URI

PUT /research-sys/api/v1/categories/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "name": "(val)",
  "namespace": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Categories
PUT/research-sys/api/v1/categories/

Example URI

PUT /research-sys/api/v1/categories/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Categories
PATCH/research-sys/api/v1/categories/(key)

Example URI

PATCH /research-sys/api/v1/categories/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "name": "(val)",
  "namespace": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "name": "(val)",
  "namespace": "(val)",
  "_primaryKey": "(val)"
}

Insert Categories
POST/research-sys/api/v1/categories/

Example URI

POST /research-sys/api/v1/categories/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "name": "(val)",
  "namespace": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "name": "(val)",
  "namespace": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Categories
POST/research-sys/api/v1/categories/

Example URI

POST /research-sys/api/v1/categories/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "name": "(val)",
    "namespace": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Categories by Key
DELETE/research-sys/api/v1/categories/(key)

Example URI

DELETE /research-sys/api/v1/categories/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Categories
DELETE/research-sys/api/v1/categories/

Example URI

DELETE /research-sys/api/v1/categories/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Categories with Matching
DELETE/research-sys/api/v1/categories/

Example URI

DELETE /research-sys/api/v1/categories/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 

ID.

name
string (optional) 

Name.

namespace
string (optional) 

Namespace.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Component Sets

Get Component Sets by Key
GET/research-sys/api/v1/component-sets/(key)

Example URI

GET /research-sys/api/v1/component-sets/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "componentSetId": "(val)",
  "lastUpdateTimestamp": "(val)",
  "checksum": "(val)",
  "_primaryKey": "(val)"
}

Get All Component Sets
GET/research-sys/api/v1/component-sets/

Example URI

GET /research-sys/api/v1/component-sets/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Component Sets with Filtering
GET/research-sys/api/v1/component-sets/

Example URI

GET /research-sys/api/v1/component-sets/
URI Parameters
HideShow
componentSetId
string (optional) 
lastUpdateTimestamp
string (optional) 
checksum
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Component Sets
GET/research-sys/api/v1/component-sets/

Example URI

GET /research-sys/api/v1/component-sets/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "componentSetId",
    "lastUpdateTimestamp",
    "checksum"
  ],
  "primaryKey": "componentSetId"
}

Get Blueprint API specification for Component Sets
GET/research-sys/api/v1/component-sets/

Example URI

GET /research-sys/api/v1/component-sets/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Component Sets.md"
transfer-encoding: chunked

Update Component Sets
PUT/research-sys/api/v1/component-sets/(key)

Example URI

PUT /research-sys/api/v1/component-sets/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "componentSetId": "(val)",
  "lastUpdateTimestamp": "(val)",
  "checksum": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Component Sets
PUT/research-sys/api/v1/component-sets/

Example URI

PUT /research-sys/api/v1/component-sets/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Component Sets
PATCH/research-sys/api/v1/component-sets/(key)

Example URI

PATCH /research-sys/api/v1/component-sets/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "componentSetId": "(val)",
  "lastUpdateTimestamp": "(val)",
  "checksum": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "componentSetId": "(val)",
  "lastUpdateTimestamp": "(val)",
  "checksum": "(val)",
  "_primaryKey": "(val)"
}

Insert Component Sets
POST/research-sys/api/v1/component-sets/

Example URI

POST /research-sys/api/v1/component-sets/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "componentSetId": "(val)",
  "lastUpdateTimestamp": "(val)",
  "checksum": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "componentSetId": "(val)",
  "lastUpdateTimestamp": "(val)",
  "checksum": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Component Sets
POST/research-sys/api/v1/component-sets/

Example URI

POST /research-sys/api/v1/component-sets/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "componentSetId": "(val)",
    "lastUpdateTimestamp": "(val)",
    "checksum": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Component Sets by Key
DELETE/research-sys/api/v1/component-sets/(key)

Example URI

DELETE /research-sys/api/v1/component-sets/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Component Sets
DELETE/research-sys/api/v1/component-sets/

Example URI

DELETE /research-sys/api/v1/component-sets/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Component Sets with Matching
DELETE/research-sys/api/v1/component-sets/

Example URI

DELETE /research-sys/api/v1/component-sets/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

componentSetId
string (optional) 
lastUpdateTimestamp
string (optional) 
checksum
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Components

Get Components by Key
GET/research-sys/api/v1/components/(key)

Example URI

GET /research-sys/api/v1/components/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "namespaceCode": "(val)",
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Get All Components
GET/research-sys/api/v1/components/

Example URI

GET /research-sys/api/v1/components/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Components with Filtering
GET/research-sys/api/v1/components/

Example URI

GET /research-sys/api/v1/components/
URI Parameters
HideShow
namespaceCode
string (optional) 

Code identifying the namespace. Maximum length is 20.

code
string (optional) 

Code identifying the Component. Maximum length is 100.

name
string (optional) 

The name of the Component. Maximum length is 255.

active
string (optional) 

This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Components
GET/research-sys/api/v1/components/

Example URI

GET /research-sys/api/v1/components/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "namespaceCode",
    "code",
    "name",
    "active"
  ],
  "primaryKey": "code:namespaceCode"
}

Get Blueprint API specification for Components
GET/research-sys/api/v1/components/

Example URI

GET /research-sys/api/v1/components/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Components.md"
transfer-encoding: chunked

Update Components
PUT/research-sys/api/v1/components/(key)

Example URI

PUT /research-sys/api/v1/components/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "namespaceCode": "(val)",
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Components
PUT/research-sys/api/v1/components/

Example URI

PUT /research-sys/api/v1/components/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Components
PATCH/research-sys/api/v1/components/(key)

Example URI

PATCH /research-sys/api/v1/components/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "namespaceCode": "(val)",
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "namespaceCode": "(val)",
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Components
POST/research-sys/api/v1/components/

Example URI

POST /research-sys/api/v1/components/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "namespaceCode": "(val)",
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "namespaceCode": "(val)",
  "code": "(val)",
  "name": "(val)",
  "active": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Components
POST/research-sys/api/v1/components/

Example URI

POST /research-sys/api/v1/components/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "namespaceCode": "(val)",
    "code": "(val)",
    "name": "(val)",
    "active": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Components by Key
DELETE/research-sys/api/v1/components/(key)

Example URI

DELETE /research-sys/api/v1/components/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Components
DELETE/research-sys/api/v1/components/

Example URI

DELETE /research-sys/api/v1/components/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Components with Matching
DELETE/research-sys/api/v1/components/

Example URI

DELETE /research-sys/api/v1/components/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

namespaceCode
string (optional) 

Code identifying the namespace. Maximum length is 20.

code
string (optional) 

Code identifying the Component. Maximum length is 100.

name
string (optional) 

The name of the Component. Maximum length is 255.

active
string (optional) 

This attribute is used to describe whether the associated object is active or inactive. Maximum length is 1.

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Context Attributes

Get Context Attributes by Key
GET/research-sys/api/v1/context-attributes/(key)

Example URI

GET /research-sys/api/v1/context-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Get All Context Attributes
GET/research-sys/api/v1/context-attributes/

Example URI

GET /research-sys/api/v1/context-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Context Attributes with Filtering
GET/research-sys/api/v1/context-attributes/

Example URI

GET /research-sys/api/v1/context-attributes/
URI Parameters
HideShow
id
string (optional) 
value
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Context Attributes
GET/research-sys/api/v1/context-attributes/

Example URI

GET /research-sys/api/v1/context-attributes/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "value"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Context Attributes
GET/research-sys/api/v1/context-attributes/

Example URI

GET /research-sys/api/v1/context-attributes/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Attributes.md"
transfer-encoding: chunked

Update Context Attributes
PUT/research-sys/api/v1/context-attributes/(key)

Example URI

PUT /research-sys/api/v1/context-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Context Attributes
PUT/research-sys/api/v1/context-attributes/

Example URI

PUT /research-sys/api/v1/context-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Context Attributes
PATCH/research-sys/api/v1/context-attributes/(key)

Example URI

PATCH /research-sys/api/v1/context-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Context Attributes
POST/research-sys/api/v1/context-attributes/

Example URI

POST /research-sys/api/v1/context-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "value": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Context Attributes
POST/research-sys/api/v1/context-attributes/

Example URI

POST /research-sys/api/v1/context-attributes/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "value": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Context Attributes by Key
DELETE/research-sys/api/v1/context-attributes/(key)

Example URI

DELETE /research-sys/api/v1/context-attributes/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Attributes
DELETE/research-sys/api/v1/context-attributes/

Example URI

DELETE /research-sys/api/v1/context-attributes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Attributes with Matching
DELETE/research-sys/api/v1/context-attributes/

Example URI

DELETE /research-sys/api/v1/context-attributes/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 
value
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Context Valid Actions

Get Context Valid Actions by Key
GET/research-sys/api/v1/context-valid-actions/(key)

Example URI

GET /research-sys/api/v1/context-valid-actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "actionTypeId": "(val)",
  "_primaryKey": "(val)"
}

Get All Context Valid Actions
GET/research-sys/api/v1/context-valid-actions/

Example URI

GET /research-sys/api/v1/context-valid-actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Context Valid Actions with Filtering
GET/research-sys/api/v1/context-valid-actions/

Example URI

GET /research-sys/api/v1/context-valid-actions/
URI Parameters
HideShow
id
string (optional) 
contextId
string (optional) 
actionTypeId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Context Valid Actions
GET/research-sys/api/v1/context-valid-actions/

Example URI

GET /research-sys/api/v1/context-valid-actions/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "contextId",
    "actionTypeId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Context Valid Actions
GET/research-sys/api/v1/context-valid-actions/

Example URI

GET /research-sys/api/v1/context-valid-actions/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Actions.md"
transfer-encoding: chunked

Update Context Valid Actions
PUT/research-sys/api/v1/context-valid-actions/(key)

Example URI

PUT /research-sys/api/v1/context-valid-actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "actionTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Context Valid Actions
PUT/research-sys/api/v1/context-valid-actions/

Example URI

PUT /research-sys/api/v1/context-valid-actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Context Valid Actions
PATCH/research-sys/api/v1/context-valid-actions/(key)

Example URI

PATCH /research-sys/api/v1/context-valid-actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "actionTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "actionTypeId": "(val)",
  "_primaryKey": "(val)"
}

Insert Context Valid Actions
POST/research-sys/api/v1/context-valid-actions/

Example URI

POST /research-sys/api/v1/context-valid-actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "actionTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "actionTypeId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Context Valid Actions
POST/research-sys/api/v1/context-valid-actions/

Example URI

POST /research-sys/api/v1/context-valid-actions/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "actionTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Context Valid Actions by Key
DELETE/research-sys/api/v1/context-valid-actions/(key)

Example URI

DELETE /research-sys/api/v1/context-valid-actions/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Valid Actions
DELETE/research-sys/api/v1/context-valid-actions/

Example URI

DELETE /research-sys/api/v1/context-valid-actions/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Valid Actions with Matching
DELETE/research-sys/api/v1/context-valid-actions/

Example URI

DELETE /research-sys/api/v1/context-valid-actions/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 
contextId
string (optional) 
actionTypeId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Context Valid Agendas

Get Context Valid Agendas by Key
GET/research-sys/api/v1/context-valid-agendas/(key)

Example URI

GET /research-sys/api/v1/context-valid-agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "agendaTypeId": "(val)",
  "_primaryKey": "(val)"
}

Get All Context Valid Agendas
GET/research-sys/api/v1/context-valid-agendas/

Example URI

GET /research-sys/api/v1/context-valid-agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Context Valid Agendas with Filtering
GET/research-sys/api/v1/context-valid-agendas/

Example URI

GET /research-sys/api/v1/context-valid-agendas/
URI Parameters
HideShow
id
string (optional) 
contextId
string (optional) 
agendaTypeId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Context Valid Agendas
GET/research-sys/api/v1/context-valid-agendas/

Example URI

GET /research-sys/api/v1/context-valid-agendas/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "contextId",
    "agendaTypeId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Context Valid Agendas
GET/research-sys/api/v1/context-valid-agendas/

Example URI

GET /research-sys/api/v1/context-valid-agendas/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Agendas.md"
transfer-encoding: chunked

Update Context Valid Agendas
PUT/research-sys/api/v1/context-valid-agendas/(key)

Example URI

PUT /research-sys/api/v1/context-valid-agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "agendaTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Context Valid Agendas
PUT/research-sys/api/v1/context-valid-agendas/

Example URI

PUT /research-sys/api/v1/context-valid-agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Context Valid Agendas
PATCH/research-sys/api/v1/context-valid-agendas/(key)

Example URI

PATCH /research-sys/api/v1/context-valid-agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "agendaTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "agendaTypeId": "(val)",
  "_primaryKey": "(val)"
}

Insert Context Valid Agendas
POST/research-sys/api/v1/context-valid-agendas/

Example URI

POST /research-sys/api/v1/context-valid-agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "agendaTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "agendaTypeId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Context Valid Agendas
POST/research-sys/api/v1/context-valid-agendas/

Example URI

POST /research-sys/api/v1/context-valid-agendas/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "agendaTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Context Valid Agendas by Key
DELETE/research-sys/api/v1/context-valid-agendas/(key)

Example URI

DELETE /research-sys/api/v1/context-valid-agendas/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Valid Agendas
DELETE/research-sys/api/v1/context-valid-agendas/

Example URI

DELETE /research-sys/api/v1/context-valid-agendas/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Valid Agendas with Matching
DELETE/research-sys/api/v1/context-valid-agendas/

Example URI

DELETE /research-sys/api/v1/context-valid-agendas/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 
contextId
string (optional) 
agendaTypeId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Context Valid Rules

Get Context Valid Rules by Key
GET/research-sys/api/v1/context-valid-rules/(key)

Example URI

GET /research-sys/api/v1/context-valid-rules/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "ruleTypeId": "(val)",
  "_primaryKey": "(val)"
}

Get All Context Valid Rules
GET/research-sys/api/v1/context-valid-rules/

Example URI

GET /research-sys/api/v1/context-valid-rules/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get All Context Valid Rules with Filtering
GET/research-sys/api/v1/context-valid-rules/

Example URI

GET /research-sys/api/v1/context-valid-rules/
URI Parameters
HideShow
id
string (optional) 
contextId
string (optional) 
ruleTypeId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Get Schema for Context Valid Rules
GET/research-sys/api/v1/context-valid-rules/

Example URI

GET /research-sys/api/v1/context-valid-rules/
URI Parameters
HideShow
_schema
string (required) 

will instruct the endpoint to return a schema data structure for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "columns": [
    "id",
    "contextId",
    "ruleTypeId"
  ],
  "primaryKey": "id"
}

Get Blueprint API specification for Context Valid Rules
GET/research-sys/api/v1/context-valid-rules/

Example URI

GET /research-sys/api/v1/context-valid-rules/
URI Parameters
HideShow
_blueprint
string (required) 

will instruct the endpoint to return an api blueprint markdown file for the resource

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: text/markdown
Response  200
HideShow
Headers
Content-Type: text/markdown;charset=UTF-8
Content-Disposition: attachment; filename="Context Valid Rules.md"
transfer-encoding: chunked

Update Context Valid Rules
PUT/research-sys/api/v1/context-valid-rules/(key)

Example URI

PUT /research-sys/api/v1/context-valid-rules/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "ruleTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  204

Update Multiple Context Valid Rules
PUT/research-sys/api/v1/context-valid-rules/

Example URI

PUT /research-sys/api/v1/context-valid-rules/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  204

Update Specific Attributes Context Valid Rules
PATCH/research-sys/api/v1/context-valid-rules/(key)

Example URI

PATCH /research-sys/api/v1/context-valid-rules/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "ruleTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  204
HideShow
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "ruleTypeId": "(val)",
  "_primaryKey": "(val)"
}

Insert Context Valid Rules
POST/research-sys/api/v1/context-valid-rules/

Example URI

POST /research-sys/api/v1/context-valid-rules/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "ruleTypeId": "(val)",
  "_primaryKey": "(val)"
}
Response  201
HideShow
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "ruleTypeId": "(val)",
  "_primaryKey": "(val)"
}

Insert Multiple Context Valid Rules
POST/research-sys/api/v1/context-valid-rules/

Example URI

POST /research-sys/api/v1/context-valid-rules/
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]
Response  201
HideShow
Body
[
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  },
  {
    "id": "(val)",
    "contextId": "(val)",
    "ruleTypeId": "(val)",
    "_primaryKey": "(val)"
  }
]

Delete Context Valid Rules by Key
DELETE/research-sys/api/v1/context-valid-rules/(key)

Example URI

DELETE /research-sys/api/v1/context-valid-rules/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Valid Rules
DELETE/research-sys/api/v1/context-valid-rules/

Example URI

DELETE /research-sys/api/v1/context-valid-rules/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Delete All Context Valid Rules with Matching
DELETE/research-sys/api/v1/context-valid-rules/

Example URI

DELETE /research-sys/api/v1/context-valid-rules/
URI Parameters
HideShow
_allowMulti
boolean (required) 

flag to allow multiple resources to be deleted in one operation

id
string (optional) 
contextId
string (optional) 
ruleTypeId
string (optional) 
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  204

Context Valid Terms

Get Context Valid Terms by Key
GET/research-sys/api/v1/context-valid-terms/(key)

Example URI

GET /research-sys/api/v1/context-valid-terms/(key)
Request
HideShow
Headers
Authorization: Bearer {api-key}
Content-Type: application/json
Response  200
HideShow
Headers
Content-Type: application/json;charset=UTF-8
Body
{
  "id": "(val)",
  "contextId": "(val)",
  "_primaryKey": "(val)"
}

Get All Context Valid Terms
GET/research-sys/api/v1/context-valid-terms/

Example URI

GET /research-sys/api/v1/context-valid-terms/
Request
HideShow
Headers
[...]
